生成承运方式
POST
/amzStaServer/openapi/inbound-shipment/generateTransportList接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/amzStaServer/openapi/inbound-shipment/generateTransportList | HTTPS | POST | 1 |
请求参数
inboundPlanIdstring必填shipmentIdListarray<object>必填隐藏子属性
palletListarray<object>隐藏子属性
heightnumber必填lengthnumber必填lengthUnitstring必填quantityinteger必填stackabilitystring必填weightnumber必填weightUnitstring必填widthnumber必填shipingTimestring必填shipmentIdstring必填sidinteger必填请求cURL示例
curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/inbound-shipment/generateTransportList?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
"shipmentIdList": [{
"palletList": [{
"height": "高",
"length": "长",
"lengthUnit": "长度单位(IN-英制,CM-公制)",
"quantity": "数量",
"stackability": "是否可堆叠(STACKABLE、NON_STACKABLE)",
"weight": "单个重量",
"weightUnit": "重量单位(LB-磅,KG-千克)",
"width": "宽"
}],
"shipingTime": "发货时间:如果修改了发货时间需要重新生成承运方式",
"shipmentId": "货件id"
}],
"sid": 1
}'
返回结果
codeinteger必填messagestring必填errorDetailsarray<any>必填requestIdstring必填responseTimestring必填dataobject必填隐藏子属性
operationIdstring必填返回成功示例
{
"code": 0,
"message": "操作成功",
"errorDetails": [],
"requestId": "3b3d867e7d014971a580549f107c8c5a.1732773886069",
"responseTime": "2024-11-28T14:04:46.069",
"data": {
"operationId": "操作id"
}
}